%define major     0
%define libname   %mklibname xvega %major
%define develname %mklibname xvega -d


Name:           xvega
Version:        0.1.1
Release:        %mkrel 2
Summary:        xvega api for c++

Group:          System/Libraries
License:        BSD
URL:            https://github.com/QuantStack/xvega.git
Source0:        https://github.com/QuantStack/xvega/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:         cmake.patch
BuildRequires:  cmake
BuildRequires:  xtl-devel
BuildRequires:  gtest-devel
BuildRequires:  doctest
BuildRequires:  pkgconfig(nlohmann_json)

%description
Bindings for xvega.

%package -n %{libname}
Summary:        %{summary}
Provides:       xvega-libs = %{version}-%{release}

Obsoletes:      %{_lib}xvega10 < 0.1.1-2

%description -n %{libname}
Bindings for xvega.

%package -n %{develname}
Summary:        %{summary}
Provides:       xvega-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n %{develname}
Development files for %{name} library.

%prep
%autosetup -p1

%build
%cmake -DXVEGA_BUILD_TESTS=ON -DXVEGA_BUILD_STATIC=OFF
%cmake_build

%install
%cmake_install

%check
pushd build/test
make xtest
popd

%files -n %{libname}
%license LICENSE
%{_libdir}/libxvega.so.%{major}
%{_libdir}/libxvega.so.%{version}

%files -n %{develname}
%doc README.md
%license LICENSE
%{_libdir}/libxvega.so
%{_includedir}/xvega/
%{_libdir}/cmake/xvega/


%changelog
* Thu Jun 26 2025 daviddavid <daviddavid> 0.1.1-2.mga10
+ Revision: 2197204
- rebuild for new nlohmann_json 3.12.0
- fix library pkg name

* Wed Jul 17 2024 papoteur <papoteur> 0.1.1-1.mga10
+ Revision: 2081877
- new version 0.1.1

* Sun Dec 18 2022 joequant <joequant> 0.0.10-2.mga9
+ Revision: 1925180
- rebuild with gcc12

* Sun Jun 26 2022 joequant <joequant> 0.0.10-1.mga9
+ Revision: 1866320
- imported package xvega

